integrations.sh
← all integrations

PandaScore REST API for All Videogames

OpenAPI apis-guru entertainment

Introduction

Whether you're looking to build an official Pandascore integration for your service, or you just want to build something awesome, .

The API works over the HTTPS protocol, and is accessed from the api.pandascore.co domain.

  • The current endpoint is .
  • All data is sent and received as JSON by default.
  • Blank fields are included with null values instead of being omitted.
  • All timestamps are returned in ISO-8601 format

About this documentation

Clicking on a query parameter like filter or search will show you the available options:

filter

You can also click on a response to see the detailed response schema:

response

Events hierarchy

The PandaScore API allows you to access data about eSports events by using a certain structure detailed below.

Leagues

Leagues are the top level events. They don't have a date and represent a regular competition. A League is composed of one or several series.
Some League of Legends leagues are: EU LCS, NA LCS, LCK, etc.
Some Dota 2 leagues are: ESL One, GESC, The International, PGL, etc.

Series

A Serie represents an occurrence of a league event.
The EU LCS league has two series per year: spring 2017, summer 2017, spring 2016, summer 2016 etc.
Some Dota2 Series examples would be: Changsha Major, Open Bucharest, Frankfurt, i-League Invitational etc.

Tournaments

Tournaments groups all the matches of a serie under "stages" and "groups".
The tournaments of the EU LCS of summer 2017 are: Group A, Group B, Playoffs, etc.
Some Dota 2 tournaments are: Group A, Group B, Playoffs, etc.

Matches

Finally we have matches which have two players or teams (depending on the played videogame) and several games (the rounds of the match).
Matches of the group A in the EU LCS of summer 2017 are: G2 vs FNC, MSF vs NIP, etc.
Matches of the group A in the ESL One, Genting tournamnet are: Lower Round 1, Quarterfinal, Upper Final, etc.

Please note that some matches may be listed as "TBD vs TBD" if the matchup is not announced yet, for example the date of the Final match is known but the quarterfinal is still being played.

Structure

Formats

<!-- The API currently supports the JSON format by default, as well as the XML format. Add the desired extension to your request URL in order to get that format. --> The API currently supports the JSON format by default.

Other formats may be added depending on user needs.

Pagination

The Pandascore API paginates all resources on the index method.

Requests that return multiple items will be paginated to 50 items by default. You can specify further pages with the page[number] parameter. You can also set a custom page size (up to 100) with the page[size] parameter.

The Link HTTP response header contains pagination data with first, previous, next and last raw page links when available, under the format

Link: &lt;https://api.pandascore.co/{Resource}?page=X+1&gt;; rel="next", &lt;https://api.pandascore.co/{Resource}?page=X-1&gt;; rel="prev", &lt;https://api.pandascore.co/{Resource}?page=1&gt;; rel="first", &lt;https://api.pandascore.co/{Resource}?page=X+n&gt;; rel="last"

There is also:

  • A X-Page header field, which contains the current page.
  • A X-Per-Page header field, which contains the current pagination length.
  • A X-Total header field, which contains the total count of items across all pages.

Filtering

The filter query parameter can be used to filter a collection by one or several fields for one or several values. The filter parameter takes the field to filter as a key, and the values to filter as the value. Multiples values must be comma-separated (,).

For example, the following is a request for all the champions with a name matching Twitch or Brand exactly, but only with 21 armor:

GET /lol/champions?filter[name]=Brand,Twitch&amp;filter[armor]=21&amp;token=YOUR_ACCESS_TOKEN

Range

The range parameter is a hash that allows filtering fields by an interval. Only values between the given two comma-separated bounds will be returned. The bounds are inclusive.

For example, the following is a request for all the champions with hp within 500 and 1000:

GET /lol/champions?range[hp]=500,1000&amp;token=YOUR_ACCESS_TOKEN

Search

The search parameter is a bit like the filter parameter, but it will return all results where the values contain the given parameter.

Note: this only works on strings. Searching with integer values is not supported and filter or range parameters may be better suited for your needs here.

For example, to get all the champions with a name containing "twi":

$ curl -sg -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' 'https://api.pandascore.co/lol/champions?search[name]=twi' | jq -S '.[].name'"Twitch""Twisted Fate"

Sorting

All index endpoints support multiple sort fields with comma-separation (,); the fields are applied in the order specified.

The sort order for each field is ascending unless it is prefixed with a minus (U+002D HYPHEN-MINUS, “-“), in which case it is descending.

For example, GET /lol/champions?sort=attackdamage,-name&amp;token=YOUR_ACCESS_TOKEN will return all the champions sorted by attack damage. Any champions with the same attack damage will then be sorted by their names in descending alphabetical order.

Rate limiting

Depending on your current plan, you will have a different rate limit. Your plan and your current request count .

With the free plan, you have a limit of 1000 requests per hour, others plans have a limit of 4000 requests per hour. The number of remaining requests is available in the X-Rate-Limit-Remaining response header.

Your API key is included in all the examples on this page, so you can test any example right away. Only you can see this value.

Authentication

The authentication on the Pandascore API works with access tokens.

All developers need to before getting started, in order to get an access token. The access token should not be shared.

Your token can be found and regenerated from .

The access token can be passed in the URL with the token query string parameter, or in the Authorization: Bearer header field.

<!-- ReDoc-Inject: <security-definitions> -->

Homepage
https://api.apis.guru/v2/specs/pandascore.co/2.23.1.json
Provider
pandascore.co
OpenAPI version
3.0.0
Spec (JSON)
https://api.apis.guru/v2/specs/pandascore.co/2.23.1/openapi.json
Spec (YAML)
https://api.apis.guru/v2/specs/pandascore.co/2.23.1/openapi.yaml

Tools (58)

Extracted live via the executor SDK.

  • incidents.getAdditions

    Get the latest additions.

    This endpoint only shows unchanged objects.

  • incidents.getChanges

    Get the latest updates.

    This endpoint only provides the latest change for an object. It does not keep track of previous changes.

  • incidents.getDeletions

    Get the latest deleted documents

  • incidents.getIncidents

    Get the latest updates and additions.

    This endpoint only provides the latest incident for an object. It does not keep track of previous incidents.

  • leagues.getLeagues

    List leagues

  • leagues.getLeaguesLeagueIdOrSlug

    Get a single league by ID or by slug

  • leagues.getLeaguesLeagueIdOrSlugMatches

    List matches of the given league

  • leagues.getLeaguesLeagueIdOrSlugMatchesPast

    List past matches for the given league

  • leagues.getLeaguesLeagueIdOrSlugMatchesRunning

    List currently running matches for the given league

  • leagues.getLeaguesLeagueIdOrSlugMatchesUpcoming

    List upcoming matches for the given league

  • leagues.getLeaguesLeagueIdOrSlugSeries

    List series for the given league

  • leagues.getLeaguesLeagueIdOrSlugTournaments

    List tournaments of the given league

  • matches.getLives

    List currently running live matches, available from pandascore with live websocket data.

  • matches.getMatches

    List matches

  • matches.getMatchesMatchIdOrSlug

    Get a single match by ID or by slug

  • matches.getMatchesMatchIdOrSlugOpponents

    List opponents (player or teams) for the given match

  • matches.getMatchesPast

    List past matches

  • matches.getMatchesRunning

    List currently running matches

  • matches.getMatchesUpcoming

    List upcoming matches

  • players.getPlayers

    List players

  • players.getPlayersPlayerIdOrSlug

    Get a single player by ID or by slug

  • players.getPlayersPlayerIdOrSlugMatches

    List matches for the given player. Only matches with detailed stats. Available with the plan Historical data.

  • series.getSeries

    List series

  • series.getSeriesPast

    List past series

  • series.getSeriesRunning

    List currently running series

  • series.getSeriesSerieIdOrSlug

    Get a single serie by ID or by slug

  • series.getSeriesSerieIdOrSlugMatches

    List matches of the given serie

  • series.getSeriesSerieIdOrSlugMatchesPast

    List past matches for the given serie

  • series.getSeriesSerieIdOrSlugMatchesRunning

    List currently running matches for the given serie

  • series.getSeriesSerieIdOrSlugMatchesUpcoming

    List upcoming matches for the given serie

  • series.getSeriesSerieIdOrSlugPlayers

    List players for the given serie

  • series.getSeriesSerieIdOrSlugTournaments

    List tournaments of the given serie

  • series.getSeriesUpcoming

    List upcoming series

  • teams.getTeams

    List teams

  • teams.getTeamsTeamIdOrSlug

    Get a single team by ID or by slug

  • teams.getTeamsTeamIdOrSlugLeagues

    List leagues in which the given team was part of

  • teams.getTeamsTeamIdOrSlugMatches

    List matches for the given team

  • teams.getTeamsTeamIdOrSlugSeries

    List series in which the given team was part of

  • teams.getTeamsTeamIdOrSlugTournaments

    List tournaments in which the given team was part of

  • tournaments.getTournaments

    List tournaments

  • tournaments.getTournamentsPast

    List past tournaments

  • tournaments.getTournamentsRunning

    List currently running tournaments

  • tournaments.getTournamentsTournamentIdOrSlug

    Get a single tournament by ID or by slug

  • tournaments.getTournamentsTournamentIdOrSlugBrackets

    Get the brackets of the given tournament

  • tournaments.getTournamentsTournamentIdOrSlugMatches

    List matches for the given tournament

  • tournaments.getTournamentsTournamentIdOrSlugPlayers

    List players for the given tournament

  • tournaments.getTournamentsTournamentIdOrSlugRosters

    List participants (player or team) for a given tournament.

  • tournaments.getTournamentsTournamentIdOrSlugStandings

    Get the current standings for a given tournament

  • tournaments.getTournamentsTournamentIdOrSlugTeams

    List teams for the given tournament

  • tournaments.getTournamentsUpcoming

    List upcoming tournaments

  • videogames.getVideogames

    List videogames

  • videogames.getVideogamesVideogameIdOrSlug

    Get a single videogame by ID or by slug

  • videogames.getVideogamesVideogameIdOrSlugLeagues

    GET /videogames/{videogame_id_or_slug}/leagues

  • videogames.getVideogamesVideogameIdOrSlugSeries

    List series for the given videogame

  • videogames.getVideogamesVideogameIdOrSlugTournaments

    List tournaments of the given videogame

  • videogames.getVideogamesVideogameIdOrSlugVersions

    List available versions for a given videogame

  • openapi.previewSpec

    Preview an OpenAPI document before adding it as a source

  • openapi.addSource

    Add an OpenAPI source and register its operations as tools